Bug 813656 - Error msg when add bug without select any case run
Error msg when add bug without select any case run
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 02:51 EDT by Gris Ge
Modified: 2016-05-26 09:10 EDT (History)
9 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error msg (20.82 KB, image/png)
2012-04-18 06:35 EDT, Jin Zhao
no flags Details

  None (edit)
Description Gris Ge 2012-04-18 02:51:43 EDT
Description of problem:

I try to add bug #813158 to TCMS run 36826, but got these errors.

====
Please specify only integers for bugs, caseruns(using comma to seperate IDs),                and bug_system. (DEBUG INFO: invalid literal for int(): )
====

Version-Release number of selected component (if applicable):
no idea. I am using https://tcms.engineering.redhat.com

How reproducible:
100%

Steps to Reproduce:
1. add bug #813158 to TCMS run 36826 via Web UI.


Actual results:


Expected results:


Additional info:
Comment 1 Jin Zhao 2012-04-18 03:13:24 EDT
Hi Gris , 

Could you help to describe your detail steps ? I can add bug 823158 to run 36836 [1]just now . You can expand case run 1036477 and re-check. any problem feel free to contact me. Thanks

[1]https://tcms.engineering.redhat.com/run/36826/
Comment 2 Gris Ge 2012-04-18 05:34:42 EDT
OK. This turn out to be a bug for "User Experience"

What I did:

1. Open the test run.
2. Press the bug button and provide bug ID.
3. Got strange error.

What you want us to do:

1. Open the test run.
2. Choose certain test case run.
3. Press bug button and add.

You can make this bug into one of these 2 options:

A. Treat this as feature request, support add bug to test run, no only test case run.

B. Fix the useless error message, ask user to choose a test case run.


BTW: please perform duplicate bug number check and wake up TCMS QE.
Comment 3 Jin Zhao 2012-04-18 06:34:21 EDT
Thanks Gris. I got it . You can select case run which you want to add bug, then you can add bug ID

The root cause as following:
1. Mouse over "bugs" button and click "add" without select any case run
2. Provide bug ID , Click ok

Actual result : Warning as attachment
Expected Result: If user don't select any case run , tip warning "No cases selected! Please select at least one case"
Comment 4 Jin Zhao 2012-04-18 06:35:32 EDT
Created attachment 578309 [details]
Error msg
Comment 5 jianchen 2012-05-04 03:31:38 EDT
This bug was fixed in tcms-3.7.0-2, please re-confirm.
Thanks.
Comment 6 Xin Gao 2012-05-08 04:03:13 EDT
verify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
add bug but don't select any case-run.

result
work well

Note You need to log in before you can comment on or make changes to this bug.